The Puppet Labs Issue Tracker has Moved: https://tickets.puppetlabs.com

Bug #13937

puppet 2.7.13 RPM missing "puppet module" face

Added by Michael Arnold about 2 years ago. Updated about 2 years ago.

Status:RejectedStart date:04/12/2012
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Red Hat
Target version:-
Affected Puppet version:2.7.13 Branch:
Keywords:

We've Moved!

Ticket tracking is now hosted in JIRA: https://tickets.puppetlabs.com

This issue is currently not available for export. If you are experiencing the issue described below, please file a new ticket in JIRA. Once a new ticket has been created, please add a link to it that points back to this Redmine ticket.


Description

The puppet 2.7.13 RPM for EL6 x86_64 from yum.puppetlabs.com is missing files for the “puppet module” face.

# puppet module 
Error: Unknown Puppet subcommand 'module'
See 'puppet help' for help on available puppet subcommands

# puppet help module
err: Could not find Puppet Face :module
err: Try 'puppet help help help' for usage

After grabbing files from pe-puppet-2.7.12 and dropping in /usr/lib/ruby/site_ruby/1.8/puppet/face/module.rb and /usr/lib/ruby/site_ruby/1.8/puppet/application/module.rb, things work.

# puppet module 
err: 'module' has no default action.  See `puppet help module`.

# puppet help module
USAGE: puppet module  
[snip]

http://yum.puppetlabs.com/el/6/products/x86_64/puppet-2.7.13-1.el6.noarch.rpm

History

#1 Updated by Matthaus Owens about 2 years ago

  • Status changed from Unreviewed to Rejected

The puppet module face hasn’t been released in FOSS puppet yet (but will be in 2.7.14).

It did make it into the pe-puppet that shipped with PE 2.5. It would have been in 2.7.13, but 2.7.13 got bumped to 2.7.14 by our recent security release.

#2 Updated by Michael Arnold about 2 years ago

Module of the Week: rtyler/jenkins – Continuous Integration Server implied that it was available, which is why I went looking for it. I guess I’ll wait. :–(

Also available in: Atom PDF